using UnityEngine;

public class TrousDropdownWrapper : MonoBehaviour, ITrousDropdownWrapper
{
    public TrousHole hole { get; set; }
    public int index { get; set; }
    public string selectedValue = "";
    
    public bool IsCorrect()
    {
        if (string.IsNullOrEmpty(selectedValue)) return false;
        return selectedValue == hole.correctAnswer;
    }
    
    public string GetSelectedValue()
    {
        return selectedValue;
    }
}

